%define oname	ArgoUML

Name:		argouml
Version:	0.34
Release:	%mkrel 5
Summary:	Free software for creating UML diagrams,program in java 
License:	Eclipse Public License
Group:		Sciences/Mathematics
URL:		http://argouml.tigris.org/
Source0:	http://argouml-downloads.tigris.org/nonav/%{name}-%{version}/%{oname}-%{version}.tar.gz
Source1:	EPL.txt
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	unzip

Requires:	java >= 1.6.0


%description
ArgoUML is a powerful yet easy-to-use interactive, graphical software
design environment that supports the design, development and documentation 
of object-oriented software applications.

If you are familiar with a family of software applications called 
Computer Aided Software Engineering (CASE) tools then you should 
find ArgoUML instantly familiar.

The users of ArgoUML are software designers & architects, software 
developers, business analysts, systems analysts and other professionals 
involved in the analysis, design and development of software applications. 

Main features:

+ Open standards: XMI, SVG and PGML
+ 100% Platform independent thanks to the exclusive use of Java
+ Open Source, which allows extending or customizing.
+ Cognitive features like: reflection-in-action, opportunistic design, 
comprehension and problem solving 


%prep
%setup -q -n %{name}-%{version}

%build

%install
# binary
mkdir -p %{buildroot}%{_bindir}
# usr-share
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -rf *.jar %{buildroot}%{_datadir}/%{name}
cp -rf ext %{buildroot}%{_datadir}/%{name}
cp %{name}.sh %{buildroot}%{_datadir}/%{name}/%{name}.sh
# icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp icon/ArgoIcon128x128.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
# doc
cp %{SOURCE1} .

#xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=ArgoUML
GenericName=To design diagrams UML
GenericName[en]=To design diagrams UML
GenericName[es]=Diseñar diagramas UML
GenericName[fr]=Pour concevoir des diagrammes UML
Comment=ArgoUML is the leading open source UML modeling tool
Comment[en]=ArgoUML is the leading open source UML modeling tool
Comment[es]=Herramienta Libre para diseñar diagramas UML
Comment[fr]=ArgoUML est le principal outil de modélisation UML open source
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Science;GTK;
EOF

#make Excutable
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
sh ./%{name}.sh ""
EOF

chmod 0755 %{buildroot}%{_bindir}/%{name}

%files
%doc EPL.txt README.txt
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/ext/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*.jar
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/ext/*.jar
%{_datadir}/%{name}/ext/*.xml
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Nov 18 2013 david.david (MLO Team) <david.david> 0.34-5.mga3
+ Revision: 5
- fix binary rights attribution (http://www.mageialinux-online.org/forum/topic-16878+argouml.php)
- add french translation for Comment and GenericName on desktop file
- fix license

* Sat Aug 10 2013 david.david (MLO Team) <david.david> 0.34-4.mga3
+ Revision: 4
- use correct macro

* Tue Apr 30 2013 david.david (MLO Team) <david.david> 0.34-3.mga3
+ Revision: 3
- correcting "spec" file

* Sat Apr 13 2013 david.david (MLO Team) <david.david> 0.34-2.mga3
+ Rebuild package for Mageia 3 (Core)
- clean "spec" file

* Sun Mar 24 2013 Adrien.D <adriend> 0.34-1.mga2
- Backported from MGA1
- Clean SPEC

* Sat Jun 9 2012 Jorge Salazar Molina <aioros_jsm@hotmail.com>
- Built for Mageia 1
- ln-es description (spanish)
- Create menu entry
- Add icon into menu
- Initial package argouml-0.34 - Repository blogdrake.net
